# CMxTimeArray Class

Namespace: `ArchestrA.Toolkit`

CMxTimeArray is derived from CMxArray and provides support for Time/DateTime Array Attributes.

**Syntax**

```csharp
public class CMxTimeArray : CMxArray<DateTime>
```

## CMxTimeArray Properties

### Value Property

Provides a property to get and set the value as a DateTime array.

**Syntax**

```csharp
public DateTime[] Value { get; set; }
```

**Returns**

DateTime[ ]

### Property to get and set the DateTime using [ ] operator

Provides a property to get and set the DateTime value of an element using [ ] operator.

**Syntax**

```csharp
public DateTime this[short i] { get; set; }
```

**Returns**

DateTime

## CMxTimeArray Constructors

### CMxTimeArray Constructor int

Provides a constructor to initialize the array to a default length.

**Syntax**

```csharp
public CMxTimeArray(int length);
```

**Parameters**

**`length`**

[in] integer value that holds the array length.

### CMxTimeArray Constructor DateTime[ ]

Provides a constructor to initialize the class with a DateTime array default value.

**Syntax**

```csharp
public CMxTimeArray (DateTime[] value);
```

**Parameters**

**`value`**

[in] DateTime[ ].

### CMxTimeArray Constructor string[ ]

Provides a constructor to initialize the class with a formatted time string array default value.

**Syntax**

```csharp
public CMxTimeArray (string[] value);
```

**Parameters**

**`value`**

[in] string[ ] value.

### CMxTimeArray Constructor SupportWrapper, string

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxTimeArray (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxTimeArray Method

### Set Method

Provides a method to set the value of the Attribute from a CMxTimeArray.

**Syntax**

```csharp
public void Set(CMxTimeArray newValue);
```

**Parameters**

**`newValue`**

[in] CMxTimeArray value to be set.

## CMxTimeArray Operator Overloads

### CMxTimeArray Operator Overload DateTime[ ]

Provides an operator that converts from DateTime array to CMxTimeArray.

**Syntax**

```csharp
public static implicit operator CMxTimeArray(DateTime[] val);
```

**Parameters**

**`val`**

[in] DateTime[ ] value to convert to CMxTimeArray.

**Returns**

CMxTimeArray

### CMxTimeArray Operator Overload CMxValue

Provides an operator that converts from CMxValue to CMxTimeArray.

**Syntax**

```csharp
public static implicit operator CMxTimeArray (CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxTimeArray.

**Returns**

CMxTimeArray

### DateTime[ ] Operator Overload CMxTimeArray

Provides an operator that converts from CMxTimeArray to DateTime array.

**Syntax**

```csharp
public static implicit operator DateTime[](CMxTimeArray val);
```

**Parameters**

**`val`**

[in] CMxTimeArray value to convert to DateTime[ ].

**Returns**

DateTime[ ]

### CMxValue Operator Overload CMxTimeArray

Provides an operator that converts from CMxTimeArray to CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxTimeArray val);
```

**Parameters**

**`val`**

[in] CMxTimeArray value to convert to CMxValue.

**Returns**

CMxValue
